Bug 116490 - Boot hangs with kernel > 2.6.2-1.81 and reiserfs root filesystem
Boot hangs with kernel > 2.6.2-1.81 and reiserfs root filesystem
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-21 13:11 EST by J. Scott Amort
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-23 18:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Scott Amort 2004-02-21 13:11:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040217 Epiphany/1.0.7

Description of problem:
Updating past kernel-2.6.2-1.81 (i.e. to 2.6.2-1.87 or 2.6.3-1.91) on
FC2 test1 causes a hang during boot while attempting to remount the
root filesystem readwrite.  The root partition is formatted with reiserfs.

Version-Release number of selected component (if applicable):
kernel-2.6.3-1.91

How reproducible:
Always

Steps to Reproduce:
1. Boot computer and select kernel > 2.6.2-1.81 with grub

Actual Results:  Boot hangs while trying to remount root partition
readwrite (root is reiserfs)

Expected Results:  Root should be remounted readwrite and boot should
continue.

Additional info:
Comment 1 Pavel Polischouk 2004-02-23 13:02:34 EST
Confirmed the behaviour with kernel-2.6.2-1.87

The behaviour is quite different with kernel-2.6.3-1.97 - it doesn't
get to the hang, it panics when trying to load reiserfs module -
symbol sleep_on not found.
Comment 2 Dave Jones 2004-02-23 18:14:46 EST
.99 should fix this up

Note You need to log in before you can comment on or make changes to this bug.